grk::ResFlow Struct Reference

`#include <ImageComponentFlow.h>`

## Public Member Functions

| ResFlow (void)
| ~ResFlow (void)
FlowComponent * | getPacketsFlow (void)
void | disableWavelet (void)
void | graph (void)
ResFlow * | addTo (tf::Taskflow &composition)
ResFlow * | precede (ResFlow *successor)
ResFlow * | precede (FlowComponent *successor)
FlowComponent * | getFinalFlowT1 (void)

## Public Attributes

FlowComponent * | packets_
FlowComponent * | blocks_
FlowComponent * | waveletHoriz_
FlowComponent * | waveletVert_
bool | doWavelet_

## Constructor & Destructor Documentation

## ResFlow()

grk::ResFlow::ResFlow | ( | void |  | ) |

## ~ResFlow()

grk::ResFlow::~ResFlow | ( | void |  | ) |

References blocks_, packets_, waveletHoriz_, and waveletVert_.

## Member Function Documentation

## addTo()

ResFlow * grk::ResFlow::addTo | ( | tf::Taskflow & | composition | ) |

References FlowComponent::addTo(), blocks_, doWavelet_, grk::grk_read(), packets_, waveletHoriz_, and waveletVert_.

## disableWavelet()

void grk::ResFlow::disableWavelet | ( | void |  | ) |

References doWavelet_.

Referenced by grk::ImageComponentFlow::ImageComponentFlow().

## getFinalFlowT1()

FlowComponent * grk::ResFlow::getFinalFlowT1 | ( | void |  | ) |

References blocks_, doWavelet_, and waveletVert_.

## getPacketsFlow()

FlowComponent * grk::ResFlow::getPacketsFlow | ( | void |  | ) |

References blocks_, packets_, and FlowComponent::precede().

## graph()

void grk::ResFlow::graph | ( | void |  | ) |

References blocks_, doWavelet_, FlowComponent::precede(), waveletHoriz_, and waveletVert_.

## precede() [1/2]

ResFlow * grk::ResFlow::precede | ( | FlowComponent * | successor | ) |

References blocks_, doWavelet_, grk::grk_read(), FlowComponent::precede(), and waveletVert_.

## precede() [2/2]

ResFlow * grk::ResFlow::precede | ( | ResFlow * | successor | ) |

References doWavelet_, grk::grk_read(), FlowComponent::precede(), and waveletVert_.

## Member Data Documentation

## blocks_

FlowComponent* grk::ResFlow::blocks_

Referenced by addTo(), getFinalFlowT1(), getPacketsFlow(), graph(), precede(), grk::DecompressScheduler::scheduleBlocks(), and ~ResFlow().

## doWavelet_

bool grk::ResFlow::doWavelet_

Referenced by addTo(), disableWavelet(), getFinalFlowT1(), graph(), precede(), and precede().

## packets_

FlowComponent* grk::ResFlow::packets_

Referenced by addTo(), getPacketsFlow(), and ~ResFlow().

## waveletHoriz_

FlowComponent* grk::ResFlow::waveletHoriz_

Referenced by addTo(), graph(), and ~ResFlow().

## waveletVert_

FlowComponent* grk::ResFlow::waveletVert_

Referenced by addTo(), getFinalFlowT1(), graph(), precede(), precede(), and ~ResFlow().

The documentation for this struct was generated from the following files:

- ImageComponentFlow.h
- ImageComponentFlow.cpp